# Class UnlockWalletRequest

#### Hierarchy

- unknown
  - UnlockWalletRequest

- Defined in src/protobuf/grpc_pb.d.ts:3546
- Defined in src/protobuf/grpc_pb.d.ts:3561

#####
Index

### Constructors

constructor

### Methods

getPassword
getTimeout
serializeBinary
setPassword
setTimeout
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new UnlockWalletRequest(): UnlockWalletRequest

- #### Returns UnlockWalletRequest

  Inherited from jspb.Message.constructor

## Methods

### getPassword

- getPassword(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3547

### getTimeout

- getTimeout(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:3550

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3553

### setPassword

- setPassword(value: string): UnlockWalletRequest

- #### Parameters

  - ##### value: string

  #### Returns UnlockWalletRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3548

### setTimeout

- setTimeout(value: number): UnlockWalletRequest

- #### Parameters

  - ##### value: number

  #### Returns UnlockWalletRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3551

### toObject

- toObject(includeInstance?: boolean): UnlockWalletRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns UnlockWalletRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3554

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): UnlockWalletRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns UnlockWalletRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3557

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: UnlockWalletRequest, reader: BinaryReader): UnlockWalletRequest

- #### Parameters

  - ##### message: UnlockWalletRequest

  - ##### reader: BinaryReader

  #### Returns UnlockWalletRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3558

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: UnlockWalletRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: UnlockWalletRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3556

### `Static` toObject

- toObject(includeInstance: boolean, msg: UnlockWalletRequest): UnlockWalletRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: UnlockWalletRequest

  #### Returns UnlockWalletRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3555

Generated using TypeDoc